Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 527118 - app-misc/mc-4.8.13 USE=-slang with sys-libs/ncurses[tinfo] - ld: ./.libs/libinternal.a(tty-ncurses.o): undefined reference to symbol 'cbreak'
Summary: app-misc/mc-4.8.13 USE=-slang with sys-libs/ncurses[tinfo] - ld: ./.libs/libi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alex Alexander (RETIRED)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-10-27 18:34 UTC by Michael Vasiliev
Modified: 2014-11-01 15:56 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
app-misc:mc-4.8.13:20141027-223004.log (app-misc:mc-4.8.13:20141027-223004.log,485.06 KB, text/plain)
2014-10-27 23:05 UTC, Michael Vasiliev
Details
files/mc-4.8.13-tinfo.patch (mc-4.8.13-tinfo.patch,1.66 KB, patch)
2014-10-31 13:22 UTC, Jeroen Roovers
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Vasiliev 2014-10-27 18:34:20 UTC
Portage 2.2.14 (python 2.7.8-final-0, hardened/linux/amd64/selinux, gcc-4.8.3, glibc-2.19-r1, 3.14.2-gentoo x86_64)
=================================================================
System uname: Linux-3.14.2-gentoo-x86_64-Intel-R-_Core-TM-2_Extreme_CPU_X9100_@_3.06GHz-with-gentoo-2.2
KiB Mem:     8097332 total,    765528 free
KiB Swap:    8988668 total,   8583048 free
Timestamp of tree: Mon, 27 Oct 2014 14:00:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
distcc 3.1 x86_64-pc-linux-gnu [enabled]
ccache version 3.1.10 [enabled]
app-shells/bash:          4.3_p30
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r2
dev-lang/python:          2.7.8, 3.2.5-r3, 3.3.5-r1, 3.4.2
dev-util/ccache:          3.1.10
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.1
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.7.3-r1, 4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.17 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo x-zugaina x11 arcon nbigaouette seden sunrise last-hope owncloud-client poly-c hasufell java raiagent x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.3"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -msse"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="${CONFIG_PROTECT} /etc /etc/idea/conf /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe -msse"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="-j3 --load-average=3.0 --keep-going"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg ccache clean-logs config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync news notitles parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.isoc.org.il/pub/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/zugaina /var/lib/layman/x11 /var/lib/layman/arcon /var/lib/layman/nbigaouette /var/lib/layman/seden /var/lib/layman/sunrise /var/lib/layman/last-hope /var/lib/layman/owncloud-client /var/lib/layman/poly-c /var/lib/layman/hasufell /var/lib/layman/java /var/lib/layman/raiagent /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib accessibility acl acpi adns aim alsa amd64 ao apache2 apm atm audiofile avahi bash-completion bazaar bcmath berkdb bidi blas bluetooth branding bsf bzip2 c++0x cairo calendar canna caps cdb cdda cddb cdinstall cdparanoia cdr cgi chasen clamav cli consolekit cracklib crypt cscope css ctype cups curl curlwrappers cvs cxx dbase dbi dbm dbus dbx device-mapper dga directfb djvu dri dts dv dvb dvd dvdr eds emacs emboss encode enscript evo exif expat fam fastcgi fbcon ffmpeg fftw firefox flac flatfile fltk fontconfig foomaticdb fortran freetds ftp gcj gd gdbm geoip ggi gif gimp ginac glut gmp gnome-keyring gnuplot gnustep gnutls gpg gphoto2 gpm gps graphviz gsl gsm gstreamer gtk gtkhtml guile gzip handbook hardened hddtemp hdf5 hscolour iconv icq icu idn ieee1394 imagemagick imap imlib inifile innodb ipod ipv6 jabber jack java java6 javascript jbig jingle joystick jpeg jpeg2k justify kde kerberos kolab kontact ladspa lame lapack lash latex lcms ldap libcaca libedit libgda libnotify libsamplerate libwww lm_sensors lua lzma lzo m17n-lib mad maildir mailwrapper matroska mbox mcve memlimit mercurial mhash mikmod milter mime mmap mmx mng modplug modules mono monotone motif mozilla mp3 mp4 mpeg mplayer msn msql mssql mtp mule multilib musepack musicbrainz mysql mysqli nas nautilus ncurses neXt netcdf networkmanager nis nls nntp nocd nptl nsplugin ocaml ocamlopt offensive ofx ogg old-linux open_perms openal openexr opengl openmp oracle osc oscar pam pax_kernel pcmcia pcntl pcre pda pdf perl php plasma plotutils png policykit portaudio posix postscript ppds profile pulseaudio python qdbm qmail-spp qt4 quicktime radius raw rdesktop readline recode rss ruby samba sasl savedconfig scanner sdl seamonkey selinux semantic-desktop session sharedext sharedmem shorten simplexml slang slp smp sndfile snmp soap sockets socks5 sound source sox speex spell sqlite sqlite3 sse sse2 sse3 ssl ssse3 startup-notification subversion svg symlink syslog sysvipc szip taglib tcl tcpd theora threads tidy tiff timidity tk tokenizer truetype udev unconfined unicode upnp-av urandom usb v4l v4l2 vcd vdpau vhosts videos vim-syntax vnc vorbis wavpack wddx webkit wicd wifi wmf wxwidgets x264 xattr xcb xcomposite xemacs xface xft xine xinerama xinetd xml xmlrpc xmp xmpp xosd xpm xscreensaver xsl xtpax xv xvid yahoo yaz zeroconf zlib zsh-completion" ABI_X86="64" ALSA_CARDS="hda-intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse joystick synaptics wacom v4l" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-minimizer nlpsolver scripting-beanshell scripting-javascript wiki-publisher" LINGUAS="ar en he ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

Reproducible: Always

Steps to Reproduce:
1. emerge app-misc/mc with ncurses[tinfo]
Actual Results:  
ebuild fails with:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/../../../../x86_64-pc-linux-gnu/bin/ld: ./.libs/libinternal.a(tty-ncurses.o): undefined reference to symbol 'cbreak'
/lib64/libtinfow.so.5: error adding symbols: DSO missing from command line

Expected Results:  
successful emerge
Comment 1 Jeroen Roovers gentoo-dev 2014-10-27 18:52:32 UTC
Apparently it incidentally doesn't fail with my USE flags.

Please attach the entire build log to this bug report.
Comment 2 Michael Vasiliev 2014-10-27 23:05:40 UTC
Created attachment 387604 [details]
app-misc:mc-4.8.13:20141027-223004.log

previous versions of mc also fail
Comment 3 Michael Vasiliev 2014-10-28 00:01:20 UTC
Jeroen, could you show your enabled USE flags for this ebuild?
Comment 4 Jeroen Roovers gentoo-dev 2014-10-28 00:19:05 UTC
(In reply to Michael Vasiliev from comment #3)
> Jeroen, could you show your enabled USE flags for this ebuild?

USE=slang works fine! ;-)
Comment 5 Jeroen Roovers gentoo-dev 2014-10-31 13:22:59 UTC
Created attachment 387884 [details, diff]
files/mc-4.8.13-tinfo.patch

This should work and make upstream happy as well.

When built against sys-libs/ncurses[-tinfo] it neatly prints:

checking for library containing addwstr... -lncursesw
checking for library containing stdscr... none required

and in the other case, it prints:

checking for library containing addwstr... -lncursesw
checking for library containing stdscr... -ltinfo
Comment 6 Jeroen Roovers gentoo-dev 2014-10-31 13:24:26 UTC
(In reply to Jeroen Roovers from comment #5)
> Created attachment 387884 [details, diff] [details, diff]
> files/mc-4.8.13-tinfo.patch

Needless to say this requires you to run eautoreconf at the end of src_prepare().
Comment 7 Sergei Trofimovich gentoo-dev 2014-11-01 15:56:58 UTC
Pushed as:

> 01 Nov 2014; Sergei Trofimovich <slyfox@gentoo.org>
> +files/mc-4.8.13-tinfo.patch, mc-4.8.13.ebuild:
> Fix tinfo underlinking (bug #527118 by Michael Vasiliev and fix by Jeroen).

Thanks guys!

Upstream is a bit reluctant admitting the bug, but I hope we'll find a way :]